.view-account {
    position: relative;
}

/* پنل */
.view-account-panel[hidden] {
    display: none;
}

.view-account-panel {
    position: absolute;
    inset-inline-end: 0;
    top: 60px;
    width: 265px;
    max-width: 265px;
    background: var(--view-accent); /* بنفش تیره */
    color: #fff;
    border-radius: 24px;
    overflow: hidden;
    z-index: 10000;
    padding: 24px 16px;
    box-sizing: border-box;
}

.view-account-panel * {
    box-sizing: border-box;
}

.view-account-panel:before {
    content: '';
    position: absolute;
    top: 0;
    width: 100%;
    height: 35px;
    background: transparent;
    display: block;
}

.view-account-top {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: 0 0 24px 0;
    gap: 12px;
    position: relative;
}

.view-account-top:after {
    content: '';
    position: absolute;
    top: -25px;
    left: 0;
    display: block;
    background: url("../image/account-pattern.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width: 56px;
    height: 56px;
    border-radius: 999px;
    mix-blend-mode: overlay;
    opacity: 0.6;
}


.view-account-brand {
    font-weight: 800;
    font-size: 18px;
    letter-spacing: .5px;
    opacity: .95;
    margin-bottom: 10px;
}

.view-account-user {
    display: flex;
    align-items: center;
    gap: 10px;
}

.view-account-avatar {
    width: 48px;
    height: 48px;
    border-radius: 999px;
    object-fit: cover;
}

.view-account-avatar-wrapper {
    padding: 6px;
    border: 2px solid var(--view-primary);
    background: transparent;
    border-radius: 999px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.view-account-avatar-wrapper:before {
    content: '';
    position: absolute;
    top: 20px;
    right: 20px;
    display: block;
    background: url("../image/account-pattern.png");
    background-repeat: no-repeat;
    background-position: center center;
    width: 72px;
    height: 72px;
    border-radius: 999px;
    background-size: cover;
    z-index: -1;
    mix-blend-mode: overlay;
    opacity: 0.6;
}

.view-account-name {
    font-weight: 800;
    font-size: 15px;
    line-height: 1.2;
}

.view-account-role {
    font-size: 12px;
    opacity: .7;
}

/* لیست آیتم‌ها */
.view-account-list {
    list-style: none;
    max-height: 60vh;
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 0;
    margin: 0;
}


.view-account-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: rgba(91, 81, 216, 0.05);
    color: #fff;
    text-decoration: none;
    padding: 10px 16px 10px 10px;
    border-radius: 32px;
    transition: transform .12s ease, background .15s ease;
    font-weight: 600;
    font-size: 14px;
}

.view-account-item + li .view-account-item {
    margin-top: 10px;
}

.view-account-item:hover {
    background: rgba(91, 81, 216, 0.2);
}

.view-account-item:hover svg path {
    fill: var(--view-primary);
}

.view-account-item-left {
    display: flex;
    align-items: center;
    gap: 10px;
}

.view-account .view-pill {
    width: 28px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    padding: 0;
    margin: 0;
}

.view-account-text {
    font-weight: 700;
    font-size: 14px;
}

.view-account-chevron svg {
    display: none;
}

.view-account-item:hover svg {
    display: block;
}


